openSUSE 10 Security Update : bzip2 (bzip2-5112)

Medium Nessus Plugin ID 32211


The remote openSUSE host is missing a security update.


Specially crafted files could crash the bzip2-decoder (CVE-2008-1372).


Update the affected bzip2 packages.

Plugin Details

Severity: Medium

ID: 32211

File Name: suse_bzip2-5112.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2008/05/11

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:bzip2, p-cpe:/a:novell:opensuse:bzip2-32bit, p-cpe:/a:novell:opensuse:libbz2-1, p-cpe:/a:novell:opensuse:libbz2-1-32bit, p-cpe:/a:novell:opensuse:libbz2-devel, cpe:/o:novell:opensuse:10.1, cpe:/o:novell:opensuse:10.2, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2008/03/20

Reference Information

CVE: CVE-2008-1372

CWE: 119